#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "getInstDir.h"

//****DEBUGGING************
#ifdef DBG
#include "memwatch.h"
#endif
//*************************

//gets the directory from the config file and puts it in the dir variable
//This will get the directory from the config file, make the directory if necessary
//and set it to the global DIR
//If the config file doesn't exist, then ask the user for a directory, write it to a config
//in the CWD
int getDir(char * dir)
{
	size_t len = 256;
	char str[256];
	FILE *file = NULL;

	file = fopen("config.ini", "r");
	
	if (file == NULL)
	{
		printf("Configuration file not found\n");
		return 0;

	} else
	{
	
		//read through the configuration file
		while ((fgets(str, len, file)) != NULL)
		{
			//Skip header and comments
			if (str[0] == '[' || str[0] == ';') continue;
			
			fclose(file);
			
			break;
		}
	}
	
	//Find the '=' in the array and move the start of the array to just past it
	char *t = strchr(str, '=');
	memmove(t, t+1, strlen(t));
	
	//remove the leading space if it exists
	if (t[0] == ' ')
	{
		memmove(t, t+1, strlen(t));
	}
	
	//find if the new line character is present and remove it
	int n = strcspn(t, "\n");
	t[n] = 0;	
	
	//find if the new line (WIN) character is present and remove it
	if (t[n-1] == '\r') 
	{
		strcpy(&t[n-1], "0");
		n--;
	}
	
	//add a trailing slash if not present
	if (t[n] != '/') {t[n] = '/';}
	
	strcpy(dir,t);
	return 1;
}